> ## Documentation Index
> Fetch the complete documentation index at: https://docs.attention.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update SCIM User

> Updates user. Used by SCIM clients like Okta to provision users.



## OpenAPI

````yaml /api-reference/openapi.json put /scim/Users/{id}
openapi: 3.0.1
info:
  title: Attention Service V2
  description: Attention Service API V2
  termsOfService: https://www.attention.com/terms-of-use
  contact:
    name: Attention Team
    url: https://docs.attention.com/welcome
    email: support@attention.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.8.0
servers:
  - url: https://api.attention.tech/v2
security:
  - APIKeyHeader: []
paths:
  /scim/Users/{id}:
    put:
      tags:
        - Scim
        - User
      summary: Update SCIM User
      description: Updates user. Used by SCIM clients like Okta to provision users.
      operationId: updateScimUser
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        description: SCIM user update request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateScimUserRequest'
          application/scim+json:
            schema:
              $ref: '#/components/schemas/UpdateScimUserRequest'
        required: true
      responses:
        '200':
          description: User updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScimUser'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/ScimUser'
        '401':
          description: Valid API key required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Base_401_Error'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/Base_401_Error'
        '500':
          description: Unexpected server error. Please try again later.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Base_Scim_Error'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/Base_Scim_Error'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Base_Scim_Error'
            application/scim+json:
              schema:
                $ref: '#/components/schemas/Base_Scim_Error'
components:
  schemas:
    UpdateScimUserRequest:
      type: object
      properties:
        id:
          type: string
        schemas:
          type: array
          items:
            type: string
        userName:
          type: string
        emails:
          type: array
          items:
            type: object
            properties:
              primary:
                type: boolean
              value:
                type: string
              type:
                type: string
        phoneNumbers:
          type: array
          items:
            type: object
            properties:
              value:
                type: string
              type:
                type: string
        name:
          type: object
          properties:
            familyName:
              type: string
            givenName:
              type: string
        active:
          type: boolean
        password:
          type: string
        groups:
          type: array
          items:
            type: object
            properties:
              display:
                type: string
              value:
                type: string
        urn:okta:onprem_app:1.0:user:custom:
          type: object
          properties:
            roleUUID:
              type: string
      example:
        id: d0dd58e43ded4293a61a8760fcba0458
        schemas:
          - urn:ietf:params:scim:schemas:core:2.0:User
          - urn:scim:schemas:extension:okta:1.0
        userName: steph.c@example.com
        externalId: 00ustvXq1A8UAuobW0f5
        meta:
          created: 04-17-2020 00:00:00
          lastModified: 04-17-2020 00:00:00
          version: v1.0
        displayName: ' Steph Curry'
        preferredLanguage: en
        locale: en-US
        timezone: America/Los_Angeles
        active: true
        emails:
          - value: steph.c@example.com
            type: work
            primary: true
        phoneNumbers:
          - value: 123-444-5555
            type: mobile
        groups:
          - display: Team A
            value: 2ccf9bde-68e3-4de4-bc4e-51b927336665
          - display: Team B
            value: fe515723-fe2e-4959-a5fa-c4d3937fe7e4
        name:
          familyName: Curry
          givenName: Steph
        urn:okta:onprem_app:1.0:user:custom:
          roleUUID: 84e67f54-5157-442b-a2b3-8b9c728b2fef
    ScimUser:
      required:
        - active
        - emails
        - externalId
        - id
        - meta
        - name
        - phoneNumbers
        - schemas
        - urn:okta:onprem_app:1.0:user:custom
        - userName
      type: object
      properties:
        id:
          type: string
        externalId:
          type: string
        meta:
          type: object
          properties:
            created:
              type: string
            lastModified:
              type: string
            version:
              type: string
        schemas:
          type: array
          items:
            type: string
        userName:
          type: string
        displayName:
          type: string
        preferredLanguage:
          type: string
        locale:
          type: string
        timezone:
          type: string
        active:
          type: boolean
        emails:
          type: array
          items:
            type: object
            properties:
              primary:
                type: boolean
              value:
                type: string
              type:
                type: string
        phoneNumbers:
          type: array
          items:
            type: object
            properties:
              value:
                type: string
              type:
                type: string
        groups:
          type: array
          items:
            type: object
            properties:
              display:
                type: string
              value:
                type: string
        name:
          type: object
          properties:
            familyName:
              type: string
            givenName:
              type: string
        urn:okta:onprem_app:1.0:user:custom:
          type: object
          properties:
            roleUUID:
              type: string
      example:
        id: d0dd58e43ded4293a61a8760fcba0458
        externalId: 00ustvXq1A8UAuobW0f5
        meta:
          created: 04-17-2020 00:00:00
          lastModified: 04-17-2020 00:00:00
          version: v1.0
        schemas:
          - urn:ietf:params:scim:schemas:core:2.0:User
          - urn:scim:schemas:extension:okta:1.0
        userName: steph.c@example.com
        displayName: ' Steph Curry'
        preferredLanguage: en
        locale: en-US
        timezone: America/Los_Angeles
        active: true
        emails:
          - value: steph.c@example.com
            type: work
            primary: true
        phoneNumbers:
          - value: 123-444-5555
            type: mobile
        groups: []
        name:
          familyName: Curry
          givenName: Steph
        urn:okta:onprem_app:1.0:user:custom:
          roleUUID: 84e67f54-5157-442b-a2b3-8b9c728b2fef
    Base_401_Error:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/BaseError'
      example:
        code: 401
        message: unauthenticated for Invalid API key
    Base_Scim_Error:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
        detail:
          type: string
          description: A description of the error
        status:
          type: integer
          description: The HTTP status code for the error
      example:
        schemas:
          - urn:ietf:params:scim:api:messages:2.0:Error
        detail: The details of the error
        status: 409
    BaseError:
      type: object
      properties:
        code:
          type: string
          description: Error code
        message:
          type: string
          description: Error message
      example:
        code: unauthorized
        message: Invalid or expired API key
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      name: Authorization
      in: header

````